Subject: Re: [PATCH v2 00/11] Add SHA-256 by default as a breaking change

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Jul 2025 15:10:44 -0700

"brian m. carlson" <[email-masked]> writes:

> Changes since v1:
> * Add a build option for the default hash and use it in the tests.

WITH_BREAKING_CHANGES flips GIT_HASH_DEFAULT between SHA-1 and
SHA-256 as before, but the choice is now exposed via "git help
--build-options", so test-lib.sh does not have to switch based
on WITH_BREAKING_CHANGES and use the build-options embedded in
the binary.

Very nice.